Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::EPubParser Class Reference

`#include <EPubParser.h>`

## Public Member Functions
| EPubParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document)
void | parse ()

## Private Member Functions
| EPubParser (const EPubParser &other)
EPubParser & | operator= (const EPubParser &other)

## Private Attributes
librevenge::RVNGInputStream *const | m_input
librevenge::RVNGTextInterface *const | m_document

## Constructor & Destructor Documentation

## ◆ EPubParser() [1/2]

libebook::EPubParser::EPubParser | ( | const EPubParser & | other | ) |
| private

## ◆ EPubParser() [2/2]

libebook::EPubParser::EPubParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document )

## Member Function Documentation

## ◆ operator=()

EPubParser & libebook::EPubParser::operator= | ( | const EPubParser & | other | ) |
| private

## ◆ parse()

void libebook::EPubParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* const libebook::EPubParser::m_document
| private

Referenced by parse().

## ◆ m_input

librevenge::RVNGInputStream* const libebook::EPubParser::m_input
| private

Referenced by EPubParser(), and parse().

The documentation for this class was generated from the following files:

- EPubParser.h
- EPubParser.cpp